function markPoints(classInd)
h=gcf;
ds=get(h,'UserData');
if (classInd==1)
    x=ds.xf; y=ds.yf;
    c='.b';
else
    x=ds.xb; y=ds.yb;
    c='.r';
end

stop=0;
subplot(1,3,1)
hold on
while(~stop)
   [tx,ty,bot]=ginput(1);
   if (bot==3)
       stop=1;
       break
   end
   rad=floor(ds.rad/2);
   ttx=[]; tty=[];
   for i=ty-rad:ty+rad
       for j=tx-rad:tx+rad
           if (((i-ty).^2+(j-tx).^2)<=(rad^2))
               ttx=[ttx,j];
               tty=[tty,i];
           end
       end
   end
   x(end+1:end+length(ttx))=ttx; y(end+1:end+length(tty))=tty;
   subplot(1,3,1); hold on; plot(ttx,tty,c);
   subplot(1,3,2); hold on; plot(ttx,tty,c);
   subplot(1,3,3); hold on; plot(ttx,tty,c);
end    
if (classInd==1)
   ds.xf=x; ds.yf=y;
else
  ds.xb=x; ds.yb=y;
end
set(h,'UserData',ds);